<?php

namespace Omnipay\Inforbank;

use Omnipay\Common\AbstractGateway;

class Gateway extends AbstractGateway {
    public function getName() {
        return 'Inforbank';
    }

    public function getDefaultParameters() {
        return array();
    }

    /**
     * Start a purchase request.
     * @param array $parameters An array of options
     * @return \Omnipay\Inforbank\Message\PurchaseRequest
     */
    public function purchase(array $parameters = array())
    {
        return $this->createRequest('\Omnipay\Inforbank\Message\PurchaseRequest', $parameters);
    }
    /**
     * Complete a purchase.
     * @param array $parameters An array of options
     * @return \Omnipay\Inforbank\Message\CompletePurchaseRequest
     */
    public function completePurchase(array $parameters = array())
    {
        return $this->createRequest('\Omnipay\Inforbank\Message\CompletePurchaseRequest', $parameters);
    }
}
